Privacy & GDPR
All operations require authentication.
Retrieve optin configurationProduction
Path parameters
Service name
Response
Fields to display publicly on the Whois
addresscitycountryemailfaxnameorganisationphoneprovincezipType of the contact associated to the optin configuration
adminallbillingownertechExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ configurations/ optin \
-H "authorization: Bearer $OVH_TOKEN"[ { "fields": [ "address" ], "type": "admin" }]
Save a new optin configurationProduction
Path parameters
Service name
Request body (required)
New optin configuration
Response
Fields to display publicly on the Whois
addresscitycountryemailfaxnameorganisationphoneprovincezipType of the contact associated to the optin configuration
adminallbillingownertechExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ configurations/ optin \
-H "authorization: Bearer $OVH_TOKEN"[ { "fields": [ "address" ], "type": "admin" }]
Retrieve optin ruleProduction
Path parameters
Service name
Response
Fields to display publicly on the Whois
addresscitycountryemailfaxnameorganisationphoneprovincezipType of the contact associated to the optin rule
adminallbillingownertechExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ rules/ optin \
-H "authorization: Bearer $OVH_TOKEN"[ { "fields": [ "address" ], "type": "admin" }]
Retrieve obfuscated emails configurationProduction
Path parameters
Service name
Response
Status of the email obfuscation
donetodoType of the contact whose email is obfuscated by this configuration
adminallbillingownertechObfuscated email address
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ configurations/ obfuscatedEmails \
-H "authorization: Bearer $OVH_TOKEN"[ { "status": "done", "type": "admin", "value": "string" }]
Save a new obfuscated emails configurationProduction
Path parameters
Service name
Request body (required)
Type of the contacts to request email obfuscation for
adminallbillingownertechResponse
Status of the email obfuscation
donetodoType of the contact whose email is obfuscated by this configuration
adminallbillingownertechObfuscated email address
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ configurations/ obfuscatedEmails \
-H "authorization: Bearer $OVH_TOKEN"[ { "status": "done", "type": "admin", "value": "string" }]
Refresh an obfuscated emails configuration with new valuesProduction
Path parameters
Service name
Request body (required)
Type of the contacts to refresh email obfuscation for
adminallbillingownertechResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ configurations/ obfuscatedEmails/ refresh \
-H "authorization: Bearer $OVH_TOKEN"Retrieve emails obfuscation ruleProduction
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ rules/ emailsObfuscation \
-H "authorization: Bearer $OVH_TOKEN"[ "admin"]